<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <input type="text" id="nome">
    <input type="text" id="logadouro">
    <input type="text" id="num">
    <input type="text" id="dataNascimento">
    <input type="button" onclick="verifica()">

    <script>
        var nome;
        var endereco;
        var num;
        var dataNascimento;

        function verifica(){
            nome = document.getElementById("nome").value;
            endereco = document.getElementById("logadouro").value;
            num = document.getElementById("num").value;
            dataNascimento = document.getElementById("dataNascimento").value;

            verificaInputTexto(nome);
            verificaInputTexto(endereco);
            verificaInputNumerico(num);
            verificaInputNumerico(dataNascimento);
        }

        function verificaInputNumerico(elemento){
            if(elemento == !parseInt){
                alert("Digite apenas numeros nos campos Numero e Data de Nascimento!!!");
            }
        }

        function verificaInputTexto(elemento){
            console.log("asqui")
            verificaVazio(elemento);
            verificaTamanho(elemento, "40");
        }

        function verificaVazio(elemento){
            if (elemento.trim() == ""){
                alert("Os Campos não podem ser vazios!!!")
            }
        }

        function verificaTamanho(elemento, limite){
            if(elemento.length > limite){
                alert("O maximo de caracteres para o " + elemento + " é 40!!!!");
            }
        }
    </script>

</body>
</html>